import Vue from 'vue'
import Vuex from 'vuex'
import modules from './modules'

Vue.use(Vuex)

export const store = {
  namespaced: true,
  modules: modules,
  strict: process.env.NODE_ENV !== 'production',
}

export default new Vuex.Store(store)
